Bug 149503 - CRASH: Pasting content from sheet
Summary: CRASH: Pasting content from sheet
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:7.4.0 target:7.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-06-09 13:43 UTC by Xisco Faulí
Modified: 2022-06-13 15:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["ScDPOutput::GetPositionData(ScAddress const &,com::sun::star::sheet::DataPilotTablePositionData &)"]
Regression By:


Attachments
sample file (46.50 KB, application/vnd.ms-excel)
2022-06-09 13:43 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-06-09 13:43:14 UTC
Created attachment 180654 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Go to tabelle4
3. Select all
4. Copy
5. Paste

-> Crash

Reproduced in

Version: 7.4.0.0.alpha1+ / LibreOffice Community
Build ID: d4123356c61db269651e950a0a2cc93e6d801c90
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: x11
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded

and

Version: 6.0.0.0.alpha1+
Build ID: 6eeac3539ea4cac32d126c5e24141f262eb5a4d9
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: x11; 
Locale: es-ES (es_ES.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2022-06-09 13:45:09 UTC
Not reproduced in

Version: 4.4.0.3
Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Locale: es_ES
Comment 2 Rafael Lima 2022-06-09 14:25:17 UTC
Also repro with

Version: 7.3.3.2 / LibreOffice Community
Build ID: 30(Build:2)
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Ubuntu package version: 1:7.3.3~rc2-0ubuntu0.21.10.1~lo1
Calc: threaded

Setting this to NEW
Comment 3 Xisco Faulí 2022-06-09 14:55:07 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2022-06-09 18:39:34 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2022-06-09 18:41:14 UTC
(In reply to Xisco Faulí from comment #4)
> Regression introduced by
> 
> author	Julien Nabet <serval2412@yahoo.fr>	2017-02-18 20:35:17 +0100
> committer	Eike Rathke <erack@redhat.com>	2017-02-24 15:23:32 +0000
> commit 41f95c4a35a6335e9edb2f51c11d136d88bd0749 (patch)
> tree caf167ab6f6777da38612b453703b08930fec5fd
> parent 237685fdfad448ddb8493c6c8162f7db085ec45c (diff)
> Remove SC_DPOUT_MAXLEVELS limit in Pivot
> 
> Bisected with win.5-4

Before the commit, when performing step 5 ( the paste ) a message dialog was prompted: "You cannot change this part of the pivot table."
Comment 6 Xisco Faulí 2022-06-10 08:25:42 UTC
LibreOffice also crashes if you doubleclick in 'Ergebnis' cell
Comment 7 Commit Notification 2022-06-10 12:03:20 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/629a9b92da6d0126bd4be4cde373a02ac542ce7d

tdf#149503: Check size of vectors

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-06-13 15:07:22 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/50ee953b0edc571ac9518c3e1be9242b78df0554

tdf#149503: Check size of vectors

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.